SingleSubjectAnalysis=function(file_path,separ=",",summaryFunctionName, weighted, binarize)
{

if(weighted == FALSE){
weighted = NULL}

file_ext = strsplit(file_path,"\\.")[[1]][2]
if(file_ext == 'mat'){
	if(!("package:R.matlab" %in% search())){
		library(R.matlab)
	}
	temp = readMat(file_path)
	subj_matrix = temp$matrix
	N=nrow(temp)
}
else{
	temp=scan(file_path,sep = separ,quiet=T)
	N=length(temp)^0.5
	subj_matrix=matrix(scan(file_path,sep = separ,quiet=T), nrow =N, byrow=TRUE)
}

if(binarize)
{
	subj_matrix[subj_matrix > 0 | subj_matrix < 0] = 1
}

library(igraph)
source(paste(connectomeAnalyzerPath,"SummaryFunctions.r", sep=""))
summaryFunction=get(summaryFunctionName)
print(paste(summaryFunctionName,":",sep=""))
print(summaryFunction(subj_matrix,weighted))
}
