ComputeConditionalPvalues=function(scoresMatrix,m0hat,SubregionsIndices,ui){
# sm is the number of selected brain sub-regions
sm=length(unique(SubregionsIndices[,1]))
# the total number of subsets is
m=sm*(sm+1)/2
na=length(SubregionsIndices[,1])# number of atoms: number of brain regions
BlockScoresMatrix=matrix(0,sm,sm)

if (option=="one region to one region"){

tempMatrix=matrix(0,na,na)

for (ir in 1:(sm)){
    # ir is the row index of the brain subregion i,
rowIndex=as.vector(SubregionsIndices[,2][SubregionsIndices[,1]==ir])
for(ic in (1):sm){    
    # ic is the col index of the brain subregion i,
colIndex=as.vector(SubregionsIndices[,2][SubregionsIndices[,1]==ic])

test=scoresMatrix[rowIndex,colIndex]
# compute correlations between locations in the same subset
si=sum(!is.na(as.vector(test)))

varZj=var(as.vector(test))

(out<-vgram.matrix(test,(si-2)))
(rhoji=(1-out$robust.vgram))#  /varZj

(sigmaBarZi=1/si*sqrt(max(si+sum(rhoji,na.rm=TRUE), 0))) #   varZj*

rhoji2=1-out$vgram/varZj

(rhoiHat=(1+sum(rhoji2,na.rm=TRUE))/(si*sigmaBarZi))

(muHati=meanScores/sigmaBarZi)

integrand <- function(x) {((m0hat/m)*(1-pnorm((qnorm(1-ui)-rhoiHat*x)/sqrt(1-rhoiHat^2)))+(1-m0hat/m)*(1-pnorm((qnorm(1-ui)-muHati-rhoiHat*x)/sqrt(1-rhoiHat^2))))*dnorm(x)/((m0hat/m)*ui+(1-m0hat/m)*(1-pnorm(qnorm(1-ui)-muHati)))}
for (lr in 1: length(rowIndex)){
for (lc in 1: length(colIndex)){
tempMatrix[rowIndex[lr],colIndex[lc]]= integrate(integrand, lower = scoresMatrix[rowIndex[lr],colIndex[lc]], upper = Inf)$value
}
}

BlockScoresMatrix[ir,ic]=mean(as.vector(test))/sigmaBarZi

}
}
}
EstimatedResults=NULL
EstimatedResults$ConditinalPvaluesMatrix=tempMatrix
EstimatedResults$BlockScoresMatrix=BlockScoresMatrix
return(EstimatedResults)
}



