# Network analysis of connectomes
# Global analysis ################
# Inputs
# data in group1 data and group2 data #### without diagonals ##########
path="D:/Thesis/Data/Elda/2step/"
path="D:/Thesis/Data/Elda/data25.07.2012/FA/GLOBAL/CtrlVsEP/"
data=loadData(path)

library(igraph)
connectomeAnalyzerPath="D:/Thesis/Codes/The Connectome Analyzer/"
source(paste(connectomeAnalyzerPath,"SummaryFunctions.r", sep=""))

regressors=NULL
# GlobalComparison 
summaryFunction=GlobalEfficiency#MeanBetweenness
alternative="greater"
source(paste(connectomeAnalyzerPath,"GlobalVectorAnalysis.r", sep=""))
#################################################################################
# Local comparison
# measures(degree, )  degree      
measure=Clustering#Strength#NodalEfficiency# degree#betweenness#closeness#    degree  #
regressors=NULL
alpha=0.05
alpha2=0.05
procedure="BH"  #BH or bonferroni (respect the case)
alternative="greater"
#SubregionsIndices=read.table(paste(connectomeAnalyzerPath,"Chen_decomposition.r", sep=""), header=F)
SubregionsIndices=read.table(paste("D:/Thesis/Data/MarieChristineData/83to13",".r",sep=""))
source(paste(connectomeAnalyzerPath,"LocalVectorAnalysis.r", sep=""))
alternative="less"
source(paste(connectomeAnalyzerPath,"LocalVectorAnalysis.r", sep=""))
